function varargout=demos(varargin)
  p = inputParser; 
  p.KeepUnmatched=true; 
  p.addParamValue('stop',false,@islogical);
  p.addParamValue('save',false,@islogical);
  p.addParamValue('dir','./figures',@ischar);
  p.parse(varargin{:});
  stop=p.Results.stop;
  dir=p.Results.dir;
  mkdir(dir);
  SaveOptions={'format','png', 'dir',dir,'tag',true,'verbose',true};

  List={'sampleMesh2d02','sampleMesh2d03','sampleMesh2d04','sampleMesh2d06','sampleMesh2d07', ...
        'sampleMesh3d01','sampleMesh3d03','sampleMesh3d04', ...
        'sampleMesh3ds01','sampleMesh3ds02','sampleMesh3ds03', ...
        'sampleData2d01', 'sampleData2d02','sampleData2d03','sampleData2d04', ...
        'sampleData3d01','sampleData3d03','sampleData3d04', ...
        'sampleData3ds01'
        };
      
  nL=length(List);
  valid=ones(1,nL);
  for i=1:nL
    command=sprintf('fc_simesh.samples.%s()',List{i});
    fprintf('[fc-simesh] Running %s\n',command)
    try 
      eval(command)
    catch
      valid(i)=0;
      if stop
        error('[fc-simesh] Stop! running %s FAILED!\n',command)
      else
        warning('[fc-simesh] Running %s FAILED!\n',command)
        
      end
    end
    if p.Results.save
      fc_tools.graphics.SaveAllFigsAsFiles(List{i},SaveOptions{:})
    end
  end
  if nargout==1,varargout{1}=valid;end
end
